Subject: RE: Re: Apache 2.0 and SSL

From: [email-masked] (George Walsh)
Date: Tue, 09 Apr 2002 14:04:17 -0400

Thanks for clarifying this for the group, Cliff.

Our 'hangup' was admittedly a little specific, and I am working my way around that right now - if for no other reason than to reduce the updating cycle. (Yeah, I still cannot love distribution rpms! May the Good Lord forgive my intransigence :-)

George

Cliff Woolley <[email-masked]> wrote:

>On Tue, 9 Apr 2002, George Walsh wrote:
>
>> I, for one, would be more than happy to use Apache 2.0. BUT, I need
>> mod_ssl to function and as I understand it, mod_ssl applications cannot
>> cope with cgi, so I really have no place to start.
>
>Just to clarify for those who might be listening and didn't follow
>George's earlier posts, Apache 2.0 handles https: requests to CGI's
>perfectly fine.  EXCEPT when you try to configure it to renegotiate on a
>POST request (which could happen if, say, your cgi-bin directory had
>per-directory SSL parameters set (eg SSLProtocol or requiring a client
>certificate)).
>
>[As a bit of historical reference, those of you who've been around for a
>while will recall that mod_ssl for Apache 1.3 had the same problem (worse,
>actually... it just gave an I/O error) until version 2.3.10, when the
>method not allowed response an experimental workaround were put in.  It
>remained available only with --enable-rule=SSL_EXPERIMENTAL up until
>version 2.5.0.]
>
>--Cliff
>
>
>--------------------------------------------------------------
>   Cliff Woolley
>   [email-masked]
>   Charlottesville, VA
>
>
>______________________________________________________________________
>Apache Interface to OpenSSL (mod_ssl)                   www.modssl.org
>User Support Mailing List                      [email-masked]
>Automated List Manager                            [email-masked]
>

-- 
George Walsh,
Managing Director,
CruiseRoutes Division,
DSC Directional Services Corp
Courtenay, British Columbia, Canada

__________________________________________________________________
Your favorite stores, helpful shopping tools and great gift ideas. Experience the convenience of buying online with Shop@Netscape! http://shopnow.netscape.com/

Get your own FREE, personal Netscape Mail account today at http://webmail.netscape.com/

______________________________________________________________________
Apache Interface to OpenSSL (mod_ssl)                   www.modssl.org
User Support Mailing List                      [email-masked]
Automated List Manager                            [email-masked]